# SPDX-FileCopyrightText: 2025 Lubin Bailly <lubin.bailly@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

{ lib, ... }:
let
  inherit (lib) genList;
in
{
  dgn-hackdays = {
    enable = true;
    portConfig = false;
    index = 9;
  };
  dgn-profiles = {
    "client".interfaces = genList (i: "ge-0/0/${toString i}") 45 ++ [ "ge-0/0/46" ];
    "uplink".interfaces = [
      "ge-0/0/45"
      "ge-0/0/47"
    ];
  };
}
